<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage  Charity Give
 * @since  Charity Give 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'charity_give_layout',
	array(
		'title'               => esc_html__('Layout','charity-give'),
		'description'         => esc_html__( 'Layout section options.', 'charity-give' ),
		'panel'               => 'charity_give_theme_options_panel',
	)
);

// Site layout setting and control.
$wp_customize->add_setting( 'charity_give_theme_options[site_layout]',
	array(
		'sanitize_callback'   => 'charity_give_sanitize_select',
		'default'             => $options['site_layout'],
	)
);

$wp_customize->add_control(  new  charity_give_Custom_Radio_Image_Control ( $wp_customize,
	'charity_give_theme_options[site_layout]',
		array(
			'label'               => esc_html__( 'Site Layout', 'charity-give' ),
			'section'             => 'charity_give_layout',
			'choices'			  => charity_give_site_layout(),
		)
	)
);

// Sidebar position setting and control.
$wp_customize->add_setting( 'charity_give_theme_options[sidebar_position]',
	array(
		'sanitize_callback'   => 'charity_give_sanitize_select',
		'default'             => $options['sidebar_position'],
	)
);

$wp_customize->add_control(  new  charity_give_Custom_Radio_Image_Control ( $wp_customize,
	'charity_give_theme_options[sidebar_position]',
		array(
			'label'               => esc_html__( 'Global Sidebar Position', 'charity-give' ),
			'section'             => 'charity_give_layout',
			'choices'			  => charity_give_global_sidebar_position(),
		)
	)
);

// Post sidebar position setting and control.
$wp_customize->add_setting( 'charity_give_theme_options[post_sidebar_position]',
	array(
		'sanitize_callback'   => 'charity_give_sanitize_select',
		'default'             => $options['post_sidebar_position'],
	)
);

$wp_customize->add_control(  new  charity_give_Custom_Radio_Image_Control ( $wp_customize,
	'charity_give_theme_options[post_sidebar_position]',
		array(
			'label'               => esc_html__( 'Posts Sidebar Position', 'charity-give' ),
			'section'             => 'charity_give_layout',
			'choices'			  => charity_give_sidebar_position(),
		)
	)
);

// Post sidebar position setting and control.
$wp_customize->add_setting( 'charity_give_theme_options[page_sidebar_position]',
	array(
		'sanitize_callback'   => 'charity_give_sanitize_select',
		'default'             => $options['page_sidebar_position'],
	)
);

$wp_customize->add_control( new  charity_give_Custom_Radio_Image_Control( $wp_customize,
	'charity_give_theme_options[page_sidebar_position]',
		array(
			'label'               => esc_html__( 'Pages Sidebar Position', 'charity-give' ),
			'section'             => 'charity_give_layout',
			'choices'			  => charity_give_sidebar_position(),
		)
	)
);